Subject: Re: bug#55811: 29.0.50; No flymake diagnostics for no-byte-compile files

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Jun 2022 07:47:24 -0400

> Of course you know this -- but just to clarify -- the byte-compilation
> backend works by launching a Emacs -Q which is asked to byte-compile
> only a file containing the current buffer's contents.  During that
> byte-compilation nothing more is loaded apart from what is preloaded or
> explicitly loaded by the file at compile-time (via require or
> eval-when/and-compile stuff).

This bug-report is about the fact that there is no benefit to
obeying `no-byte-compile` in flymake.  Not about improving the way the
sub-process reproduces a "good" initial state to compile the file
(e.g. set up of `load-path` and whatnot).

> Anyway, maybe you could give small example of such a file containing
> such a cookie where you think Flymake's "I refuse to lint this" behavior
> could be improved.

A good example are all the files in the
[EEV](http://elpa.gnu.org/packages/eev.html) package.

        Stefan